	.386
	.model	use32 small

	extrn	allerr : proc, negerr : proc
	public	_sqrt
	.data
nm	db	"sqrt",0

	.code
_sqrt:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	qword ptr [ecx]
	fsqrt
	lea	eax,[nm]
	fld	qword ptr [ecx]
	call	negerr
	leave
	ret
	end